VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   5292
   ClientLeft      =   11232
   ClientTop       =   1404
   ClientWidth     =   7044
   LinkTopic       =   "Form1"
   ScaleHeight     =   5292
   ScaleWidth      =   7044
   Begin VB.CommandButton btnStartServer 
      Caption         =   "Start Server"
      Height          =   372
      Left            =   60
      TabIndex        =   8
      Top             =   120
      Width           =   972
   End
   Begin VB.CommandButton btnClose 
      Caption         =   "Close"
      Height          =   372
      Left            =   60
      TabIndex        =   7
      Top             =   4860
      Width           =   972
   End
   Begin VB.CommandButton btnGetMakes 
      Caption         =   "Get Makes"
      Height          =   372
      Left            =   60
      TabIndex        =   6
      Top             =   2220
      Width           =   972
   End
   Begin VB.CommandButton btnShowPnA 
      Caption         =   "Show PnA"
      Height          =   372
      Left            =   60
      TabIndex        =   5
      Top             =   1800
      Width           =   972
   End
   Begin VB.CommandButton btnSetProps 
      Caption         =   "SetProps"
      Height          =   372
      Left            =   60
      TabIndex        =   4
      Top             =   1380
      Width           =   972
   End
   Begin VB.CommandButton btnDisconnect 
      Caption         =   "Disconnect"
      Height          =   372
      Left            =   60
      TabIndex        =   3
      Top             =   4440
      Width           =   972
   End
   Begin VB.CommandButton btnConnect 
      Caption         =   "Connect"
      Height          =   372
      Left            =   60
      TabIndex        =   2
      Top             =   960
      Width           =   972
   End
   Begin VB.TextBox Text1 
      Height          =   4932
      Left            =   1200
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   1
      Text            =   "uMain.frx":0000
      Top             =   60
      Width           =   5772
   End
   Begin VB.CommandButton btnRegisterReceive 
      Caption         =   "Register"
      Height          =   372
      Left            =   60
      TabIndex        =   0
      Top             =   540
      Width           =   972
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'*******************************************************************************
' WorldPac Client Automation Protocol
' WorldPac DIAL / WCAP.DLL Demonstration
' For information about wcap see www.worldpac.com/wcap
' For more information about wcap.dll see www.worldpac.com/wcap/wcapdll.html
'
' Visual Basic Edition
'*******************************************************************************

Option Explicit
'*******************************************************************************
'Start server
'*******************************************************************************
Private Sub btnStartServer_Click()
  WCAPStartServer
  
End Sub

'*******************************************************************************
'Register callback procedure with DLL
'*******************************************************************************
Private Sub btnRegisterReceive_Click()
  WCAPRegisterReceive AddressOf Module1.CalledBack
  
End Sub

'*******************************************************************************
'Connect to DIAL
'*******************************************************************************
Private Sub btnConnect_Click()
Dim bRes As Boolean

  If Not WCAPConnected Then
    bRes = False
    If WCAPConnect("localhost", 17943) Then
      bRes = True
    End If
  End If
  
End Sub

'*******************************************************************************
'Send properties of this application to DIAL
'*******************************************************************************
Private Sub btnSetProps_Click()
Dim sWork As String
  If WCAPConnected Then
    sWork = "<?xml version=""1.0"" encoding=""UTF-8""?>"
    sWork = sWork & "<?xp Request=""805349""?>"
    sWork = sWork & "<!DOCTYPE SetClientProperties SYSTEM ""http://www.worldpac.com/wcap/SetClientProperties.dtd"">"
    sWork = sWork & "<SetClientProperties>"
    sWork = sWork & "<Caption>XML'er</Caption>"
    sWork = sWork & "<Win32WindowHandle>" & Form1.hWnd & "</Win32WindowHandle>"
    sWork = sWork & "</SetClientProperties>"
    sWork = sWork & "<?xp /?>"
    
    WCAPSend sWork
  End If
  
End Sub

'*******************************************************************************
'Show Price and availability in DIAL
'*******************************************************************************
Private Sub btnShowPnA_Click()
Dim sWork As String

  If WCAPConnected Then
    sWork = "<?xml version=""1.0"" encoding=""UTF-8""?>"
    sWork = sWork & "<?xp Request=""1234""?>"
    sWork = sWork & "<!DOCTYPE ShowPnA SYSTEM ""http://www.worldpac.com/wcap/ShowPnA.dtd"">"
    sWork = sWork & "<ShowPnA>"
    sWork = sWork & "<ProductID>140 830 05 70</ProductID>"
    sWork = sWork & "</ShowPnA>"
    sWork = sWork & "<?xp /?>"
  
    WCAPSend sWork
  End If

End Sub

'*******************************************************************************
'Send request to get makes table
'*******************************************************************************
Private Sub btnGetMakes_Click()
Dim sWork As String
  If WCAPConnected Then
    sWork = "<?xml version=""1.0"" encoding=""UTF-8""?>"
    sWork = sWork & "<?xp Request=""78GetMakes""?>"
    sWork = sWork & "<!DOCTYPE GetMakes SYSTEM ""http://www.worldpac.com/wcap/GetMakes.dtd"">"
    sWork = sWork & "<GetMakes/>"
    sWork = sWork & "<?xp /?>"
  
    WCAPSend sWork
  End If
  
End Sub

'*******************************************************************************
'Disconnect socket connection from DIAL
'*******************************************************************************
Private Sub btnDisconnect_Click()
  WCAPDisconnect
  
End Sub

'*******************************************************************************
'Close application
'*******************************************************************************
Private Sub btnClose_Click()
  End
  
End Sub


'*******************************************************************************
'Form is unloading, disconnect DLL socket connection from DIAL
'*******************************************************************************
Private Sub Form_Unload(Cancel As Integer)
  WCAPDisconnect
  
End Sub
