Attribute VB_Name = "Module1"
'*******************************************************************************
' WorldPac Client Automation Protocol
' WorldPac DIAL / WCAP.DLL Demonstration
' For information about wcap see www.worldpac.com/wcap
' For more information about wcap.dll see www.worldpac.com/wcap/wcapdll.html
'
' Visual Basic Edition
'*******************************************************************************

Option Explicit

'// Register the callback procedure for wcap.dll to use for replies
Declare Sub WCAPRegisterReceive Lib "wcap.dll" _
  (ByVal lpRcvProcedure As Long)
  
'// Establish connection to DIAL
Declare Function WCAPConnect Lib "wcap.dll" _
  (ByVal lpszHost As String, ByVal lPort As Long) As Boolean

'// Query if connection to DIAL is established
Declare Function WCAPConnected Lib "wcap.dll" () As Boolean

'// End connection with DIAL
Declare Sub WCAPDisconnect Lib "wcap.dll" ()

'// Send wcap document request to DIAL
Declare Sub WCAPSend Lib "wcap.dll" (ByVal lpszXMLDoc As String)

'// Start DIAL server
Declare Function WCAPStartServer Lib "wcap.dll" () As Boolean

'// Win32 API
Declare Function lstrlen Lib "kernel32" (ByVal lpString As Long) As Integer
Declare Function lstrcpy Lib "kernel32" Alias "lstrcpyA" (ByVal lpString1 As String, ByVal lpString2 As Long) As Long

'*******************************************************************************
'Call back procedure is registered in wcap.dll with function WCAPRegisterReceive()
'This is where the work happens. See the WCAP.DLL documentation at the above
'website
'*******************************************************************************
Sub CalledBack(ByVal lpszXMLDoc As Long)
Dim sXMLDoc As String
Dim iLen As Integer

  iLen = lstrlen(lpszXMLDoc)
  sXMLDoc = String$(iLen, 0)
  Call lstrcpy(sXMLDoc, lpszXMLDoc)
  
  Form1.Text1.Text = sXMLDoc
  
End Sub

